### NAME

ntruprime-test - run some libntruprime correctness tests

### SYNOPSIS

    ntruprime-test

### DESCRIPTION

`ntruprime-test`
runs some tests of the correctness of
the libntruprime implementation of the Streamlined NTRU Prime cryptosystem.

The `ntruprime-test` output format is subject to change.
As examples of the current format, the lines

    kem_sntrup761 offset 1
    kem_sntrup761 selected implementation factored compiler clang -Wall -fPIC -fwrapv -Qunused-arguments -O2; Ubuntu clang version 14.0.0-1ubuntu1.1; Target: x86_64-pc-linux-gnu; Thread model: posix; InstalledDir: /usr/bin

mean that `ntruprime-test` is testing the automatically selected
`factored` implementation of the `sntrup761` parameter set
with various arrays offset by 1 byte from being aligned,
and a final line saying

    all tests succeeded

means that all tests passed.

### SEE ALSO

**ntruprime-fulltest**(1),
**sntrup**(1),
**sntrup**(3)
